Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
reg_named_capture_assign_t Struct Reference

## Data Fields
struct parser_params * | parser
rb_encoding * | enc
NODE * | succ_block
const YYLTYPE * | loc

## Detailed Description

Definition at line 18938 of file ripper.c.

## Field Documentation

## ◆ enc

rb_encoding * reg_named_capture_assign_t::enc

Definition at line 18940 of file ripper.c.

## ◆ loc

const YYLTYPE * reg_named_capture_assign_t::loc

Definition at line 18942 of file ripper.c.

## ◆ parser

struct parser_params * reg_named_capture_assign_t::parser

Definition at line 18939 of file ripper.c.

## ◆ succ_block

NODE * reg_named_capture_assign_t::succ_block

Definition at line 18941 of file ripper.c.

The documentation for this struct was generated from the following files:

- ext/ripper/ripper.c
- parse.c